# $Revision: 1.7.2.1 $, $Date: 2006/07/18 23:01:04 $
Summary:	Sudoku Puzzle Generator and solver for KDE
Summary(pl):	Program generujcy i rozwizujcy diagramy Sudoku dla KDE
Name:		ksudoku
Version:	0.3
Release:	2
License:	GPL v2
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/ksudoku/%{name}-%{version}.tar.gz
# Source0-md5:	d5fe20e9deda671dd15340f43ab4c4a3
Patch0:		%{name}-desktop.patch
URL:		http://ksudoku.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sudoku Puzzle Generator and Solver for KDE. Boards supported: 9x9 and
16x16. GUI for playing, saving, printing, solving and dubbing puzzles.
The program is fully expandable since the algorithm is extendible to
any general graph coloring problem.

%description -l pl
Program generujcy i rozwizujcy plansze Sudoku dla KDE. Obsuguje
plansze o rozmiarach 9x9 i 16x16. Interfejs graficzny obsuguje gr,
zapisywanie, drukowanie, rozwizywanie i pokazywanie prawidowych
rozwiza. Program jest w peni rozszerzalny, jako e algorytm jest
rozszerzalny dla dowolnego problemu kolorowania grafw.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
    --enable-libsuffix=64 \
%endif
    --%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
    --with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir}/kde

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kde/ksudoku.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/apps/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksudoku.spec,v $
Revision 1.7.2.1  2006/07/18 23:01:04  havner
- rel 2 for fixed desktop patch

Revision 1.7  2005/10/03 21:37:42  qboosh
- unified sf URL

Revision 1.6  2005/10/03 19:04:15  darekr
- gpm-friendly Source0

Revision 1.5  2005/10/03 17:56:00  qboosh
- pl fixes, use just OpenGL-devel in BR

Revision 1.4  2005/09/29 20:44:59  teodor
- up to 0.3 version

Revision 1.3  2005/09/21 14:07:06  megabajt
- fix desktop file
- release 0.2

Revision 1.2  2005/09/21 13:42:17  darekr
- _kdedocdir needs 1.129 macros

Revision 1.1  2005/09/21 09:37:42  teodor
- initial version
